Skip to main content
POST
/
knowledge-base
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "name": "<string>",
  "org_id": "<string>",
  "description": "<string>",
  "instructions": "<string>",
  "rag_settings": {},
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

X-API-Key
string
header
required

Body

application/json

Request body for creating a new knowledge base.

name
string
required

Knowledge base name

Required string length: 1 - 200
description
string | null

Optional description

instructions
string | null

Instructions for how to use this knowledge base

rag_settings
Rag Settings · object

RAG configuration settings

Response

Successful Response

Full knowledge base record returned by the API.

id
string
required
name
string
required
org_id
string | null
description
string | null
instructions
string | null
rag_settings
Rag Settings · object
created_at
string | null
updated_at
string | null